unit Aboutbox;
{
  This about box uses the code found in the Delphi for Dummies
  book written by Neil J. Rubenking.
}
interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, SysUtils;

type
  TfrmAbout = class(TForm)
    OKButton: TBitBtn;
    Bevel1: TBevel;
    Bevel2: TBevel;
    ProgramIcon: TImage;
    Version: TLabel;
    ProductName: TLabel;
    Copyright: TLabel;
    lblWinVer: TLabel;
    lblDosVer: TLabel;
    lblProc: TLabel;
    lblMath: TLabel;
    lblMem: TLabel;
    lblSysRes: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    bvlIcon: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.DFM}

procedure TfrmAbout.FormCreate(Sender: TObject);
var
  L : Longint;
begin
  ProgramIcon.Picture.Graphic := Application.Icon;
  frmAbout.Caption            := 'About - ' + Application.Title;
  ProductName.Caption         := Application.Title;
  L                           := GetVersion;
  lblWinVer.Caption := Format('Windows %u.%.2u',
                    [LoByte(LoWord(L)), HiByte(LoWord(L))]);
  lblDosVer.Caption := Format('Dos %u.%.2u',
                    [HiByte(HiWord(L)), LoByte(HiWord(L))]);
  L := GetWinFlags;
  IF L AND WF_ENHANCED = 0 THEN
    lblProc.Caption := 'Standard Mode'
  else
    lblProc.Caption := '386 Enhanced Mode';
  IF L AND WF_80x87 = 0 THEN
    lblMath.Caption := 'Absent'
  else
    lblMath.Caption := 'Present';
end;

procedure TfrmAbout.FormActivate(Sender: TObject);
begin
  lblMem.Caption    :=  FormatFloat('#######', MemAvail DIV 1024) + 'KB Free';
  lblSysRes.Caption := IntToStr(GetFreeSystemResources(GFSR_SYSTEMRESOURCES))
      + '% Free';
end;

end.

